package cn.com.ctop.job.bytedance.data.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * 获取定向包
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2021-10-21
 */
@Data
@TableName("bytedance_audience_package_get")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "bytedance_audience_package_get对象", description = "获取定向包")
public class BytedanceAudiencePackageGet {

    /**
     * 广告主ID
     */
    @Excel(name = "广告主ID      ", width = 15)
    @ApiModelProperty(value = "广告主ID      ")
    private Long advertiserId;
    /**
     * 定向包id
     */
    @Excel(name = "定向包id      ", width = 15)
    @ApiModelProperty(value = "定向包id      ")
    private Long audiencePackageId;
    /**
     * 定向包名称
     */
    @Excel(name = "定向包名称    ", width = 15)
    @ApiModelProperty(value = "定向包名称    ")
    private java.lang.String name;
    /**
     * 定向包描述
     */
    @Excel(name = "定向包描述    ", width = 15)
    @ApiModelProperty(value = "定向包描述    ")
    private java.lang.String description;
    /**
     * 定向包推广类型
     */
    @Excel(name = "定向包推广类型", width = 15)
    @ApiModelProperty(value = "定向包推广类型")
    private java.lang.String landingType;
    /**
     * 过滤已转化用户
     */
    @Excel(name = "过滤已转化用户", width = 15)
    @ApiModelProperty(value = "过滤已转化用户")
    private java.lang.String hideIfConverted;
    /**
     * 过滤时间范围
     */
    @Excel(name = "过滤时间范围  ", width = 15)
    @ApiModelProperty(value = "过滤时间范围  ")
    private java.lang.String convertedTimeDuration;
    /**
     * 广告投放范围
     */
    @Excel(name = "广告投放范围  ", width = 15)
    @ApiModelProperty(value = "广告投放范围  ")
    private java.lang.String deliveryRange;
    /**
     * 已安装用户
     */
    @Excel(name = "已安装用户    ", width = 15)
    @ApiModelProperty(value = "已安装用户    ")
    private java.lang.Integer hideIfExists;
    /**
     * 自定内容
     */
    @Excel(name = "自定内容      ", width = 15)
    @ApiModelProperty(value = "自定内容      ")
    private java.lang.String audience;
}
