package cn.com.ctop.job.bytedance.data.utils;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;

public class DateUtils {

  public static Integer getDateInteger(String date) {
    if (!Check.isNull(date)) {
      String replace = date.replace("-", "");
      return Integer.valueOf(replace);
    }
    return null;
  }

  public static String getNowDate(String format) {
    SimpleDateFormat sdf = new SimpleDateFormat(format);
    Date date = new Date();
    return sdf.format(date);
  }


  public static String getAnotherDay(String format, String date, Integer num) {

    SimpleDateFormat sdf = new SimpleDateFormat(format);
    Date getDate = null;
    try {
      getDate = sdf.parse(date);
    } catch (ParseException e) {
      e.printStackTrace();
    }
    Calendar calendar = Calendar.getInstance();
    calendar.setTime(getDate);
    calendar.add(Calendar.DAY_OF_MONTH, num);
    Date resultDate = calendar.getTime();
    return sdf.format(resultDate);
  }

}
